# Create 'InspectionErrandFault'

Endpoint: POST /errands/inspections/reporting/inspectionerrandfault/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `inspection_errand` (object, required)

  - `inspection_errand.id` (string)

  - `component` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `custom_field_type`
This field, or at least one of the following fields must be set: `custom_field_type`

  - `component.id` (string)

  - `custom_field_type` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `component`
This field, or at least one of the following fields must be set: `component`

  - `custom_field_type.id` (string)

  - `description` (string)

  - `action_proposal` (string)

  - `responsible_party` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Previous Tenant
* `1` - Current Tenant
* `2` - Future Tenant
* `3` - Owner Landlord
    Enum: 0, 1, 2, 3

## Response 201 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `inspection_errand` (object, required)

  - `inspection_errand.id` (string)

  - `component` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `custom_field_type`
This field, or at least one of the following fields must be set: `custom_field_type`

  - `component.id` (string)

  - `custom_field_type` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `component`
This field, or at least one of the following fields must be set: `component`

  - `custom_field_type.id` (string)

  - `description` (string)

  - `action_proposal` (string)

  - `responsible_party` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Previous Tenant
* `1` - Current Tenant
* `2` - Future Tenant
* `3` - Owner Landlord
    Enum: 0, 1, 2, 3

